use serde::Deserialize;

use crate::proxy::Mirror;

#[derive(Debug, Deserialize, Clone)]
pub struct Config {
    pub mirrors: Vec<String>,
    pub cache_dir: String,
    pub no_cache: String,
    pub ttl: usize,
    pub only_allow: Option<String>,
}

impl Config {
    pub fn to_proxy(&self) -> Mirror {
        Mirror::new(self)
    }
}
